# Differential Poly A Using Dirt-Multi-DRIMSeq #
#!/usr/bin/env Rscript

args = commandArgs(trailingOnly=TRUE)

library(DRIMSeq)


# Load Data #
polyA_count<- read.table(args[1], header = TRUE, as.is = TRUE, check.names=FALSE)
#head(polyA_count)

# Load Disign #
polyA_samples <- read.table(args[2], header = TRUE, sep="\t")
levels(polyA_samples$group)

# Sample Matrxi#
head(polyA_samples)

d <- dmDSdata(counts = polyA_count, samples = polyA_samples) 
design_full <- model.matrix(~ group, data = samples(d))
#design_full
d <- dmPrecision(d, design = design_full)
d <- dmFit(d, design = design_full, verbose = 1)
d <- dmTest(d, coef = "groupTRT", verbose = 1)

design_null <- model.matrix(~ 1, data = samples(d))
d <- dmTest(d, design = design_null) 
contrast <- c(0, 1) 
d <- dmTest(d, contrast = contrast) 
res <- results(d) 
res <- res[order(res$pvalue, decreasing = FALSE), ] 
write.table(res, file = args[3], append = FALSE, sep = "\t",eol = "\n", na = "NA", dec = ".", 
	row.names = FALSE,col.names = TRUE)

